PATCH Api/Inspection/{id}

URI Example

PATCH Api/Inspection/{id}

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

InspectionBinding
NameDescriptionTypeAdditional information
BuildingId

integer

Required

Type

InspectionType

Required

InspectionDate

date

Required

ContactPerson

string

Required

Technicians

Collection of integer

None.

Request Formats

application/json, text/json, application/hal+json
  • {
      "buildingId": 1,
      "type": 0,
      "inspectionDate": "2026-10-29T13:04:06.2235316+01:00",
      "contactPerson": "sample string 3",
      "technicians": [
        1,
        2
      ]
    }
    

Resource Description

InspectionResource
NameDescriptionTypeAdditional information
Id

integer

None.

Type

InspectionType

None.

BuildingId

integer

None.

InspectionDate

date

None.

InspectionNumber

integer

None.

ContactPerson

string

None.

InspectionStateId

integer

None.

IsBlocked

boolean

None.

UpdateDate

date

None.

_links

Dictionary of string [key] and Link [value]

None.

_embedded

Dictionary of string [key] and Object [value]

None.

Response Formats

application/json, text/json, application/hal+json
  • {
      "_links": {
        "sample string 1": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        },
        "sample string 2": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        }
      },
      "id": 1,
      "type": 0,
      "buildingId": 2,
      "inspectionDate": "2026-10-29T13:04:06.2235316+01:00",
      "inspectionNumber": 1,
      "contactPerson": "sample string 4",
      "inspectionStateId": 5,
      "isBlocked": true,
      "updateDate": "2026-10-29T13:04:06.2235316+01:00",
      "_embedded": {
        "sample string 1": {},
        "sample string 3": {}
      }
    }